# Class BasePatientObservationValue

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Serves as an abstract base class for patient observation values, extending BasePatientObservation to provide common functionality for representing measured or recorded clinical data associated with a patient observation.

    public abstract class BasePatientObservationValue : BasePatientObservation

Inheritance
  object
  JsonConverter
  BasePatientObservation
  BasePatientObservationValue

Derived
  PatientObservation
  PatientObservationAlarm

Inherited Members
  BasePatientObservation.Id
  BasePatientObservation.PatientId
  BasePatientObservation.UserId
  BasePatientObservation.ClinicalEpisode
  BasePatientObservation.Patient
  BasePatientObservation.SystemId
  BasePatientObservation.Code
  BasePatientObservation.CodingSystem
  BasePatientObservation.ParentData
  BasePatientObservation.Time
  BasePatientObservation.EndTime
  BasePatientObservation.Name
  BasePatientObservation.Units
  BasePatientObservation.CheckObservations
  BasePatientObservation.CreateObservation
  BasePatientObservation.ToJsonString()
  BasePatientObservation.ToString()
  BasePatientObservation.ToListString()
  BasePatientObservation.CanConvert(Type)
  BasePatientObservation.WriteJson(JsonWriter, object, JsonSerializer)
  BasePatientObservation.ReadJson(JsonReader, Type, object, JsonSerializer)
  JsonConverter.CanRead
  JsonConverter.CanWrite
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Value

    public object Value { get; set; }

#### Property Value

object